## Index

### Classes

- Server
- TLSSocket

### Interfaces

- Certificate
- CipherNameAndProtocol
- ConnectionOptions
- DetailedPeerCertificate
- PeerCertificate
- SecureContext
- SecureContextOptions
- SecurePair
- TlsOptions

### Type aliases

- SecureVersion

### Variables

- CLIENT_RENEG_LIMIT
- CLIENT_RENEG_WINDOW
- DEFAULT_ECDH_CURVE

### Functions

- checkServerIdentity
- connect
- createSecureContext
- createSecurePair
- createServer
- getCiphers

## Type aliases

### SecureVersion

SecureVersion: "TLSv1.2" | "TLSv1.1" | "TLSv1"

- Defined in node_modules/@types/node/tls.d.ts:341

## Variables

### Const CLIENT_RENEG_LIMIT

CLIENT_RENEG_LIMIT: number

- Defined in node_modules/@types/node/tls.d.ts:7

### Const CLIENT_RENEG_WINDOW

CLIENT_RENEG_WINDOW: number

- Defined in node_modules/@types/node/tls.d.ts:8

### Const DEFAULT_ECDH_CURVE

DEFAULT_ECDH_CURVE: string

- Defined in node_modules/@types/node/tls.d.ts:399

## Functions

### checkServerIdentity

- checkServerIdentity(host: string, cert: PeerCertificate): Error | undefined

- - Defined in node_modules/@types/node/tls.d.ts:387

  #### Parameters

  - ##### host: string

  - ##### cert: PeerCertificate

  #### Returns Error | undefined

### connect

- connect(options: ConnectionOptions, secureConnectListener?: undefined | function): TLSSocket
- connect(port: number, host?: undefined | string, options?: ConnectionOptions, secureConnectListener?: undefined | function): TLSSocket
- connect(port: number, options?: ConnectionOptions, secureConnectListener?: undefined | function): TLSSocket

- - Defined in node_modules/@types/node/tls.d.ts:389

  #### Parameters

  - ##### options: ConnectionOptions

  - ##### Optional secureConnectListener: undefined | function

  #### Returns TLSSocket

- - Defined in node_modules/@types/node/tls.d.ts:390

  #### Parameters

  - ##### port: number

  - ##### Optional host: undefined | string

  - ##### Optional options: ConnectionOptions

  - ##### Optional secureConnectListener: undefined | function

  #### Returns TLSSocket

- - Defined in node_modules/@types/node/tls.d.ts:391

  #### Parameters

  - ##### port: number

  - ##### Optional options: ConnectionOptions

  - ##### Optional secureConnectListener: undefined | function

  #### Returns TLSSocket

### createSecureContext

- createSecureContext(details: SecureContextOptions): SecureContext

- - Defined in node_modules/@types/node/tls.d.ts:396

  #### Parameters

  - ##### details: SecureContextOptions

  #### Returns SecureContext

### createSecurePair

- createSecurePair(credentials?: SecureContext, isServer?: undefined | false | true, requestCert?: undefined | false | true, rejectUnauthorized?: undefined | false | true): SecurePair

- - Defined in node_modules/@types/node/tls.d.ts:395
  deprecated

  #### Parameters

  - ##### Optional credentials: SecureContext

  - ##### Optional isServer: undefined | false | true

  - ##### Optional requestCert: undefined | false | true

  - ##### Optional rejectUnauthorized: undefined | false | true

  #### Returns SecurePair

### createServer

- createServer(options: TlsOptions, secureConnectionListener?: undefined | function): Server

- - Defined in node_modules/@types/node/tls.d.ts:388

  #### Parameters

  - ##### options: TlsOptions

  - ##### Optional secureConnectionListener: undefined | function

  #### Returns Server

### getCiphers

- getCiphers(): string[]

- - Defined in node_modules/@types/node/tls.d.ts:397

  #### Returns string[]

Generated using TypeDoc